Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLPUnstructuredDataReader Class Reference

`#include <vtkXMLPUnstructuredDataReader.h>`

Inheritance diagram for vtkXMLPUnstructuredDataReader:

[legend]
Collaboration diagram for vtkXMLPUnstructuredDataReader:

[legend]
List of all members.

## Detailed Description

Superclass for parallel unstructured data XML readers.

Date:
  2002/10/23 15:49:47

Revision:
  1.2

vtkXMLPUnstructuredDataReader provides functionality common to all parallel unstructured data format readers.

See also:
  vtkXMLPPolyDataReader vtkXMLPUnstructuredGridReader

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkXMLPUnstructuredDataReader.h)`
  - .`cxx` (`/IO/vtkXMLPUnstructuredDataReader.cxx)`

Definition at line 48 of file vtkXMLPUnstructuredDataReader.h.

## Public Types
typedef vtkXMLPDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLPUnstructuredDataReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLPUnstructuredDataReader ()
| ~vtkXMLPUnstructuredDataReader ()
vtkPointSet * | GetOutputAsPointSet ()
vtkPointSet * | GetPieceInputAsPointSet (int piece)
virtual void | SetupOutputTotals ()
virtual void | SetupNextPiece ()
vtkIdType | GetNumberOfPoints ()
vtkIdType | GetNumberOfCells ()
void | CopyArrayForPoints (vtkDataArray *inArray, vtkDataArray *outArray)
void | SetupEmptyOutput ()
void | SetupOutputInformation ()
void | SetupOutputData ()
virtual void | GetOutputUpdateExtent (int &piece, int &numberOfPieces, int &ghostLevel)=0
void | ReadXMLData ()
int | ReadPrimaryElement (vtkXMLDataElement *ePrimary)
void | SetupUpdateExtent (int piece, int numberOfPieces, int ghostLevel)
int | ReadPieceData ()
void | CopyCellArray (vtkIdType totalNumberOfCells, vtkCellArray *inCells, vtkCellArray *outCells)
## Protected Attributes
int | UpdatePiece
int | UpdateNumberOfPieces
int | UpdateGhostLevel
int | StartPiece
int | EndPiece
vtkIdType | TotalNumberOfPoints
vtkIdType | TotalNumberOfCells
vtkIdType | StartPoint
vtkXMLDataElement * | PPointsElement

## Member Typedef Documentation

typedef vtkXMLPDataReader vtkXMLPUnstructuredDataReader::Superclass

| Reimplemented from vtkXMLPDataReader. Reimplemented in vtkXMLPPolyDataReader, and vtkXMLPUnstructuredGridReader. Definition at line 51 of file vtkXMLPUnstructuredDataReader.h.

## Constructor & Destructor Documentation

vtkXMLPUnstructuredDataReader::vtkXMLPUnstructuredDataReader | ( |  | ) | `[protected]`

vtkXMLPUnstructuredDataReader::~vtkXMLPUnstructuredDataReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLPUnstructuredDataReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLPDataReader. Reimplemented in vtkXMLPPolyDataReader, and vtkXMLPUnstructuredGridReader.

int vtkXMLPUnstructuredDataReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPDataReader. Reimplemented in vtkXMLPPolyDataReader, and vtkXMLPUnstructuredGridReader.

virtual int vtkXMLPUnstructuredDataReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPDataReader. Reimplemented in vtkXMLPPolyDataReader, and vtkXMLPUnstructuredGridReader.

vtkXMLPUnstructuredDataReader* vtkXMLPUnstructuredDataReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLPDataReader. Reimplemented in vtkXMLPPolyDataReader, and vtkXMLPUnstructuredGridReader.

void vtkXMLPUnstructuredDataReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLPDataReader. Reimplemented in vtkXMLPPolyDataReader, and vtkXMLPUnstructuredGridReader.

vtkPointSet* vtkXMLPUnstructuredDataReader::GetOutputAsPointSet | ( |  | ) | `[protected]`

vtkPointSet* vtkXMLPUnstructuredDataReader::GetPieceInputAsPointSet | ( | int | piece | ) | `[protected]`

virtual void vtkXMLPUnstructuredDataReader::SetupOutputTotals | ( |  | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPPolyDataReader, and vtkXMLPUnstructuredGridReader.

virtual void vtkXMLPUnstructuredDataReader::SetupNextPiece | ( |  | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPPolyDataReader, and vtkXMLPUnstructuredGridReader.

vtkIdType vtkXMLPUnstructuredDataReader::GetNumberOfPoints | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLPDataReader.

vtkIdType vtkXMLPUnstructuredDataReader::GetNumberOfCells | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLPDataReader.

void vtkXMLPUnstructuredDataReader::CopyArrayForPoints | ( | vtkDataArray * | inArray,
|  | vtkDataArray * | outArray
| ) | `[protected, virtual]`

| Implements vtkXMLPDataReader.

void vtkXMLPUnstructuredDataReader::SetupEmptyOutput | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLReader.

void vtkXMLPUnstructuredDataReader::SetupOutputInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataReader.

void vtkXMLPUnstructuredDataReader::SetupOutputData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataReader. Reimplemented in vtkXMLPPolyDataReader, and vtkXMLPUnstructuredGridReader.

virtual void vtkXMLPUnstructuredDataReader::GetOutputUpdateExtent | ( | int & | piece,
|  | int & | numberOfPieces,
|  | int & | ghostLevel
| ) | `[protected, pure virtual]`

| Implemented in vtkXMLPPolyDataReader, and vtkXMLPUnstructuredGridReader.

void vtkXMLPUnstructuredDataReader::ReadXMLData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLReader.

int vtkXMLPUnstructuredDataReader::ReadPrimaryElement | ( | vtkXMLDataElement * | ePrimary | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataReader.

void vtkXMLPUnstructuredDataReader::SetupUpdateExtent | ( | int | piece,
|  | int | numberOfPieces,
|  | int | ghostLevel
| ) | `[protected]`

int vtkXMLPUnstructuredDataReader::ReadPieceData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataReader. Reimplemented in vtkXMLPPolyDataReader, and vtkXMLPUnstructuredGridReader.

void vtkXMLPUnstructuredDataReader::CopyCellArray | ( | vtkIdType | totalNumberOfCells,
|  | vtkCellArray * | inCells,
|  | vtkCellArray * | outCells
| ) | `[protected]`

## Member Data Documentation

int vtkXMLPUnstructuredDataReader::UpdatePiece`[protected]`

| Definition at line 82 of file vtkXMLPUnstructuredDataReader.h.

int vtkXMLPUnstructuredDataReader::UpdateNumberOfPieces`[protected]`

| Definition at line 83 of file vtkXMLPUnstructuredDataReader.h.

int vtkXMLPUnstructuredDataReader::UpdateGhostLevel`[protected]`

| Definition at line 84 of file vtkXMLPUnstructuredDataReader.h.

int vtkXMLPUnstructuredDataReader::StartPiece`[protected]`

| Definition at line 87 of file vtkXMLPUnstructuredDataReader.h.

int vtkXMLPUnstructuredDataReader::EndPiece`[protected]`

| Definition at line 88 of file vtkXMLPUnstructuredDataReader.h.

vtkIdType vtkXMLPUnstructuredDataReader::TotalNumberOfPoints`[protected]`

| Definition at line 89 of file vtkXMLPUnstructuredDataReader.h.

vtkIdType vtkXMLPUnstructuredDataReader::TotalNumberOfCells`[protected]`

| Definition at line 90 of file vtkXMLPUnstructuredDataReader.h.

vtkIdType vtkXMLPUnstructuredDataReader::StartPoint`[protected]`

| Definition at line 91 of file vtkXMLPUnstructuredDataReader.h.

vtkXMLDataElement* vtkXMLPUnstructuredDataReader::PPointsElement`[protected]`

| Definition at line 94 of file vtkXMLPUnstructuredDataReader.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLPUnstructuredDataReader.h